#ifndef FULLCENTREFORM_H
#define FULLCENTREFORM_H
#include "abstractform.h"
#include <QTabWidget>
#include "centreform.h"
#include "tablewidget/centreannuairetablewidget.h"
#include "tablewidget/centrepatienttablewidget.h"

class FullCentreForm : public AbstractForm
{
Q_OBJECT
public:
    explicit FullCentreForm(QWidget *parent = 0);
void setupUi();
signals:

public slots:
    virtual void save() ;
    virtual void load(QSqlRecord record) ;

private:
QTabWidget * mTabWidget;
CentreForm * mCentreForm;
CentreAnnuaireTableWidget * mCAnnuaireTable;
CentrePatientTableWidget *  mCPatientTable;


};

#endif // FULLCENTREFORM_H
